Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets
Class P13NAuthFilter

    java.lang.Object
      weblogic.servlet.security.AuthFilter
          com.bea.p13n.servlets.P13NAuthFilter

Deprecated Configure com.bea.p13n.servlets.PortalServletFilter in web.xml

    public class P13NAuthFilter

extends AuthFilter

On WLS recommendation, this use of this class has been deprecated. Its previous functionality has been replaced by the PortalServletFilter.

Constructor Summary
`P13NAuthFilter()` Deprecated

Method Summary
`void` | `doFailAuth(ServletRequest req, ServletResponse res)` Deprecated Called after a failed authentication in a webapp.
`void` | `doPreAuth(ServletRequest req, ServletResponse res)` Deprecated Called just before Authentication and Authorization occur in a webapp.
`boolean` | `doSuccessAuth(ServletRequest req, ServletResponse res)` Deprecated Called after a successfull authentication in a webapp.
`protected void` | `initializeProfile(HttpServletRequest req)` Deprecated Initialize a ProfileWrapper in the session for the logged in user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P13NAuthFilter

    public P13NAuthFilter()

  Deprecated

Method Detail

### doPreAuth

    public void doPreAuth(ServletRequest req,
                          ServletResponse res)

  Deprecated
  Called just before Authentication and Authorization occur in a webapp.

  This does nothing here.

### doSuccessAuth

    public boolean doSuccessAuth(ServletRequest req,
                                 ServletResponse res)

  Deprecated
  Called after a successfull authentication in a webapp. The PortalServletFilter is assumed to be comfigured in the web.xml, which will take care of firing events, swapping profiles if needed, etc.

### initializeProfile

    protected void initializeProfile(HttpServletRequest req)

  Deprecated
  Initialize a ProfileWrapper in the session for the logged in user.

### doFailAuth

    public void doFailAuth(ServletRequest req,
                           ServletResponse res)

  Deprecated
  Called after a failed authentication in a webapp.

  This method here does nothing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved